services:
  upms:
    image: quay.io/herodotus-cloud/herodotus-cloud-upms:3.5.7.0
    container_name: upms
    hostname: upms
    ports:
      - 7070:7070
    volumes:
      - D:\\local-cached\\docker-volumes\\herodotus-cloud\\logs:/usr/local/logs

  uaa:
    image: quay.io/herodotus-cloud/herodotus-cloud-uaa:3.5.7.0
    container_name: uaa
    hostname: uaa
    ports:
      - 8846:8846
    volumes:
      - D:\\local-cached\\docker-volumes\\herodotus-cloud\\logs:/usr/local/logs
    depends_on:
      upms:
        condition: service_healthy

  msg:
    image: quay.io/herodotus-cloud/herodotus-cloud-message:3.5.7.0
    container_name: msg
    hostname: msg
    ports:
      - 7071:7071
    volumes:
      - D:\\local-cached\\docker-volumes\\herodotus-cloud\\logs:/usr/local/logs
    depends_on:
      uaa:
        condition: service_healthy

  oss:
    image: quay.io/herodotus-cloud/herodotus-cloud-oss-ability:3.5.7.0
    container_name: oss
    hostname: oss
    ports:
      - 7073:7073
    volumes:
      - D:\\local-cached\\docker-volumes\\herodotus-cloud\\logs:/usr/local/logs
    depends_on:
      msg:
        condition: service_healthy

  manage:
    image: quay.io/herodotus-cloud/herodotus-cloud-manage-ability:3.5.7.0
    container_name: manage
    hostname: manage
    ports:
      - 7074:7074
    volumes:
      - D:\\local-cached\\docker-volumes\\herodotus-cloud\\logs:/usr/local/logs
    depends_on:
      oss:
        condition: service_healthy

  gateway:
    image: quay.io/herodotus-cloud/herodotus-cloud-gateway:3.5.7.0
    container_name: gateway
    hostname: gateway
    ports:
      - 8847:8847
    volumes:
      - D:\\local-cached\\docker-volumes\\herodotus-cloud\\logs:/usr/local/logs
    depends_on:
      oss:
        condition: service_healthy

  monitor:
    image: quay.io/herodotus-cloud/herodotus-cloud-monitor:3.5.7.0
    container_name: monitor
    hostname: monitor
    ports:
      - 8845:8845
    volumes:
      - D:\\local-cached\\docker-volumes\\herodotus-cloud\\logs:/usr/local/logs
    depends_on:
      gateway:
        condition: service_healthy

  ui:
    image: herodotus/herodotus-cloud-ui:3.5.7.0
    container_name: herodotus-cloud-ui
    hostname: herodotus-cloud-ui
    environment:
      HERODOTUS_SERVER_PROJECT: herodotus
      HERODOTUS_SERVER_ADDR: 192.168.101.10:8847
      HERODOTUS_PROJECT_NAME: Dante\ Cloud
      HERODOTUS_OAUTH2_CLIENT_ID: 14a9cf797931430896ad13a6b1855611
      HERODOTUS_OAUTH2_CLIENT_SECRET: a05fe1fc50ed42a4990c6c6fc4bec398
      HERODOTUS_OAUTH2_REDIRECT_URI: http://192.168.101.10:4000/authorization-code
    ports:
      - "8888:8000"
    depends_on:
      gateway:
        condition: service_healthy
